from .avaspec import (
    AVS_SERIAL_LEN,
    VERSION_LEN,
    DETECTOR_NAME_LEN,
    USER_ID_LEN,
    INVALID_AVS_HANDLE_VALUE,
    ERR_ETHCONN_REUSE,
    SENS_HAMS9201,
    SENS_TCD1304,
    SENS_SU256LSB,
    SENS_SU512LDB,
    SENS_HAMS11639,
    SENS_HAMG9208_512,
    SENS_HAMS13496,
    SENS_HAMS11155_2048_02_DIFF,
    SENSOR_OFFSET,
    NUMBER_OF_SENSOR_TYPES,
    NR_DEFECTIVE_PIXELS,
    MAX_NR_PIXELS,
    CLIENT_ID_SIZE,
    DSTR_STATUS_DSS_MASK,
    DSTR_STATUS_FOE_MASK,
    DSTR_STATUS_IERR_MASK,
    AvsIdentityType,
    BroadcastAnswerType,
    MeasConfigType,
    DeviceConfigType,
    DstrStatusType,
    AVS_Init,
    AVS_Done,
    AVS_GetNrOfDevices,
    AVS_UpdateUSBDevices,
    AVS_UpdateETHDevices,
    AVS_GetList,
    AVS_GetHandleFromSerial,
    AVS_Activate,
    AVS_Deactivate,
    AVS_UseHighResAdc,
    AVS_GetVersionInfo,
    AVS_PrepareMeasure,
    AVS_Measure,
    AVS_MeasureCallbackFunc,
    AVS_MeasureCallback,
    AVS_DstrCallbackFunc,
    AVS_SetDstrStatusCallback,
    AVS_GetDstrStatus,
    AVS_StopMeasure,
    AVS_PollScan,
    AVS_GetScopeData,
    AVS_GetSaturatedPixels,
    AVS_GetLambda,
    AVS_GetNumPixels,
    AVS_GetDigIn,
    AVS_SetDigOut,
    AVS_SetPwmOut,
    AVS_GetAnalogIn,
    AVS_SetAnalogOut,
    AVS_GetParameter,
    AVS_SetParameter,
    AVS_ResetParameter,
    AVS_SetSyncMode,
    AVS_GetDeviceType,
    AVS_GetDetectorName,
    AVS_SetSensitivityMode,
    AVS_SetPrescanMode,
    AVS_ResetDevice,
    AVS_EnableLogging,
)

from .errors import enum_avs_err

__all__ = [
    "AVS_SERIAL_LEN",
    "VERSION_LEN",
    "DETECTOR_NAME_LEN",
    "USER_ID_LEN",
    "INVALID_AVS_HANDLE_VALUE",
    "ERR_ETHCONN_REUSE",
    "SENS_HAMS9201",
    "SENS_TCD1304",
    "SENS_SU256LSB",
    "SENS_SU512LDB",
    "SENS_HAMS11639",
    "SENS_HAMG9208_512",
    "SENS_HAMS13496",
    "SENS_HAMS11155_2048_02_DIFF",
    "SENSOR_OFFSET",
    "NUMBER_OF_SENSOR_TYPES",
    "NR_DEFECTIVE_PIXELS",
    "MAX_NR_PIXELS",
    "CLIENT_ID_SIZE",
    "DSTR_STATUS_DSS_MASK",
    "DSTR_STATUS_FOE_MASK",
    "DSTR_STATUS_IERR_MASK",
    "AvsIdentityType",
    "BroadcastAnswerType",
    "MeasConfigType",
    "DeviceConfigType",
    "DstrStatusType",
    "AVS_Init",
    "AVS_Done",
    "AVS_GetNrOfDevices",
    "AVS_UpdateUSBDevices",
    "AVS_UpdateETHDevices",
    "AVS_GetList",
    "AVS_GetHandleFromSerial",
    "AVS_Activate",
    "AVS_Deactivate",
    "AVS_UseHighResAdc",
    "AVS_GetVersionInfo",
    "AVS_PrepareMeasure",
    "AVS_Measure",
    "AVS_MeasureCallbackFunc",
    "AVS_MeasureCallback",
    "AVS_DstrCallbackFunc",
    "AVS_SetDstrStatusCallback",
    "AVS_GetDstrStatus",
    "AVS_StopMeasure",
    "AVS_PollScan",
    "AVS_GetScopeData",
    "AVS_GetSaturatedPixels",
    "AVS_GetLambda",
    "AVS_GetNumPixels",
    "AVS_GetDigIn",
    "AVS_SetDigOut",
    "AVS_SetPwmOut",
    "AVS_GetAnalogIn",
    "AVS_SetAnalogOut",
    "AVS_GetParameter",
    "AVS_SetParameter",
    "AVS_ResetParameter",
    "AVS_SetSyncMode",
    "AVS_GetDeviceType",
    "AVS_GetDetectorName",
    "AVS_SetSensitivityMode",
    "AVS_SetPrescanMode",
    "AVS_ResetDevice",
    "AVS_EnableLogging",
    "enum_avs_err"
]
